*This code takes from the previous TC_analysis and others to code up the data analysis for chapter 3
*Feb 2021
*packages required: 
* ssc inst fixsort


*It uses as the data from FZ and the same cleaning process to start from the same place
clear all
*Section 

*set directory to file location e.g. 
cd "C:\User\RDP_Replication\"
set scheme FZ 

if "newdata"=="newdata" {

	do code/S0clean_dataset.do
	do code/S0variable_construction.do
	}
*Section 1. Reproduce FZ's key results on mean effects, and do robustnes to trim etc.

do code/S1reproduceFZ.do


*Section 2. Compute my results on effects on marginal buyers. Empirical CDFs and standard errors
* Including a bunch of robustness for subsets and trims

do code/Main_result_table.do
do code/Flat_spot_Graphs.do
do code/Main_Graphs.do
do code/SegmentResultswQuin.do
do code/Trim_comparison.do
do code/Trim_comparisonRates.do
do code/Trim_comparisonInher.do
do code/ZeroTreatmentResultsDP.do
do code/ZeroTreatmentResultsR.do
do code/ZeroTreatmentResultsInher.do



*Section 3. Compute fitted values and regressions using the user-cost model and compare

do code/parametric_demand.do

*Section 4. Variations on FZ regressions for appendix



